Bug 816014 - Review Request: python-tgscheduler - Turbogears2 Scheduler
Summary: Review Request: python-tgscheduler - Turbogears2 Scheduler
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-25 04:35 UTC by Ralph Bean
Modified: 2012-05-26 07:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-24 15:54:45 UTC
Type: ---
mrunge: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2012-04-25 04:35:05 UTC
Spec URL: http://threebean.org/rpm/python-tgscheduler.spec
SRPM URL: http://threebean.org/rpm/python-tgscheduler-1.6.3-1.fc17.src.rpm
Description:
This scheduler package is based on the TurboGears 1 built-in scheduler
which is based on Kronos by Irmen de Jong. The scheduler makes it easy to
have one-time or recurring tasks run as needed.

rpmlint output
--------------
 % find . -name "python-tgscheduler*" -exec rpmlint {} \;
python-tgscheduler.noarch: W: spelling-error %description -l en_US de -> DE, ed, d
python-tgscheduler.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
python-tgscheduler.src: W: spelling-error %description -l en_US de -> DE, ed, d
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


koji - f17 - http://koji.fedoraproject.org/koji/taskinfo?taskID=4020772
koji - el6 - http://koji.fedoraproject.org/koji/taskinfo?taskID=4020770

Note -- the el6 build fails due to a python-dateutil version mismatch.  I would like to use and maintain this in el6.  I'll deal with that problem in the future but would like to proceed with a review for Fedora asap.

Comment 1 Ralph Bean 2012-04-25 14:14:20 UTC
Nailed it.  Had to conditionally depend on python-dateutil15.  Koji scratch builds are all good for both f17 and el6 now.

Spec URL: http://threebean.org/rpm/python-tgscheduler.spec
SRPM URL: http://threebean.org/rpm/python-tgscheduler-1.6.3-2.fc17.src.rpm

rpmlint output
--------------
 % find . -name "python-tgscheduler*" -exec rpmlint {} \;
python-tgscheduler.noarch: W: spelling-error %description -l en_US de -> DE, ed, d
python-tgscheduler.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
python-tgscheduler.noarch: W: spelling-error %description -l en_US de -> DE, ed, d
python-tgscheduler.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
python-tgscheduler.src: W: spelling-error %description -l en_US de -> DE, ed, d
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
python-tgscheduler.src: W: spelling-error %description -l en_US de -> DE, ed, d
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


koji - f17 - http://koji.fedoraproject.org/koji/taskinfo?taskID=4022022
koji - el6 - http://koji.fedoraproject.org/koji/taskinfo?taskID=4022024

Comment 2 Matthias Runge 2012-04-26 11:53:07 UTC
taking this one

Comment 3 Matthias Runge 2012-04-26 12:04:08 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[?]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint python-tgscheduler-1.6.3-2.fc18.src.rpm

python-tgscheduler.src: W: spelling-error %description -l en_US de -> DE, ed, d
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint python-tgscheduler-1.6.3-2.fc18.noarch.rpm

python-tgscheduler.noarch: W: spelling-error %description -l en_US de -> DE, ed, d
python-tgscheduler.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/mrunge/review/816014/TGScheduler-1.6.3.tar.gz :
  MD5SUM this package     : 377a75be965cf488678a4ffe2780edfb
  MD5SUM upstream package : 377a75be965cf488678a4ffe2780edfb

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint python-tgscheduler-1.6.3-2.fc18.src.rpm

python-tgscheduler.src: W: spelling-error %description -l en_US de -> DE, ed, d
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint python-tgscheduler-1.6.3-2.fc18.noarch.rpm

python-tgscheduler.noarch: W: spelling-error %description -l en_US de -> DE, ed, d
python-tgscheduler.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

- You should remove bundled .egg-info in %prep-section
- probably you could be more specific in files-section?

Comment 4 Ralph Bean 2012-04-26 14:45:24 UTC
New revision:
- A little more specific in the files section
- Removed bundled egg-info in the prep section

Spec URL: http://threebean.org/rpm/python-tgscheduler.spec
SRPM URL: http://threebean.org/rpm/python-tgscheduler-1.6.3-3.fc17.src.rpm

koji - f17 - http://koji.fedoraproject.org/koji/taskinfo?taskID=4025278
koji - el6 - http://koji.fedoraproject.org/koji/taskinfo?taskID=4025276

Comment 5 Matthias Runge 2012-04-26 18:20:33 UTC
ok, one final addition: you should write your files-section this way:
%{python_sitelib}/tgscheduler
%{python_sitelib}/%{modname}-%{version}-*.egg-info

instead of:
%{python_sitelib}/tgscheduler/*
%{python_sitelib}/%{modname}-%{version}-*.egg-info/*

The first version includes the directories (and their files) into files list, the latter only the files (without dirs). You could verify by doing rpm -qlp ...rpm

I see no other issues, but this (must own all directories it creates) is a must, if you please could adjust that, we're done.

Comment 7 Matthias Runge 2012-04-27 18:59:08 UTC
Great, last issue fixed.

Package is APPROVED

Comment 8 Ralph Bean 2012-04-27 19:25:02 UTC
New Package SCM Request
=======================
Package Name: python-tgscheduler
Short Description: Turbogears2 Scheduler
Owners: ralph
Branches: f17 el6
InitialCC:

Comment 9 Gwyn Ciesla 2012-04-28 14:42:35 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2012-05-04 15:35:29 UTC
python-tgscheduler-1.6.3-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-tgscheduler-1.6.3-4.fc17

Comment 11 Fedora Update System 2012-05-04 15:47:27 UTC
python-tgscheduler-1.6.3-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-tgscheduler-1.6.3-4.el6

Comment 12 Fedora Update System 2012-05-04 22:18:32 UTC
python-tgscheduler-1.6.3-4.fc17 has been pushed to the Fedora 17 testing repository.

Comment 13 Fedora Update System 2012-05-24 15:54:45 UTC
python-tgscheduler-1.6.3-4.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 14 Fedora Update System 2012-05-26 07:11:18 UTC
python-tgscheduler-1.6.3-4.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.